using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public sealed class BouncingShot : Skill
{
    public GameObject bouncyBulletPrefab;
    public int bounceCount = 3;

    private LineRenderer bounceLineRenderer;

    public override void Aiming()
    {
        bounceLineRenderer = character.gameObject.AddComponent<LineRenderer>();
    }

    private IEnumerator AimingRoutine()
    {
        while (true)
        {
            if (Input.GetMouseButtonDown(0))
            {
                break;
            }
            yield return null;
        }
    }

    protected override void Use()
    {
        
    }
}
